<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.waoperations"
    android:versionCode="1"
    android:versionName="1.0" >

    <uses-sdk
        android:minSdkVersion="14"
        android:targetSdkVersion="21" />
    <uses-feature android:name="android.hardware.usb.accessory" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.SEND_SMS"/>
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.VIBRATE"/>
    <uses-permission android:name="android.permission.GET_ACCOUNTS" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <application
        android:allowBackup="true"
        android:icon="@drawable/waopslogo"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
        <service android:name="com.bimsdk.usb.io.USBService" >
        </service>
        <!-- Splash screen -->
        <activity
            android:name="com.example.waoperations.SplashScreen"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.Black.NoTitleBar" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>


        <activity
            android:name="com.example.waoperations.MainActivityWA"
            android:configChanges="orientation|screenSize"
            android:label="@string/app_name" >

        </activity>
           <activity 
            android:name="com.example.waoperations.OrderLoad"
               android:configChanges="orientation|screenSize"
      
            android:windowSoftInputMode="adjustPan">
                 <intent-filter>
                <action android:name="android.hardware.usb.action.USB_ACCESSORY_ATTACHED" />
            </intent-filter>
            <meta-data
                android:name="android.hardware.usb.action.USB_ACCESSORY_ATTACHED"
                android:resource="@xml/accessory_filter" >
            </meta-data>
            </activity> 
               <activity 
            android:name="com.example.waoperations.Picking.PickingSummary"
               android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
                 <activity 
            android:name="com.example.waoperations.Stats.StatsSummary"
               android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
                <activity 
            android:name="com.example.waoperations.Receiving.ReceivingSummary"
               android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
                  <activity 
            android:name="com.example.waoperations.Replenishment.ReplenishmentSummary"
               android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
            <activity 
            android:name="com.example.waoperations.PutAway.PutAwaySummary"
            android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
            <activity 
            android:name="com.example.waoperations.Shipping.ShippingSummary"
            android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity>
            <activity 
            android:name="com.example.waoperations.Shipping.ShippingDetailTransfer"
            android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity>
               <activity 
            android:name="com.example.waoperations.Shipping.ShippingSummaryTransfer"
            android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity>
            <activity 
            android:name="com.example.waoperations.Aduanas.AduanasSummary"
            android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity>
            <activity 
            android:name="com.example.waoperations.Inventory.InventorySummary"
               android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
                  <intent-filter>
                <action android:name="android.hardware.usb.action.USB_ACCESSORY_ATTACHED" />
            </intent-filter>
            <meta-data
                android:name="android.hardware.usb.action.USB_ACCESSORY_ATTACHED"
                android:resource="@xml/accessory_filter" >
            </meta-data>
            </activity>
            
                 <activity 
            android:name="com.example.waoperations.Inventory.InventoryPositionChange" 
             android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
            
                              <activity 
            android:name="com.example.waoperations.Inventory.InventoryAddBarcode" 
             android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
            
            <activity 
            android:name="com.example.waoperations.CycleCount.CycleCountSummaryProgrammed"
            android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
             
            <activity 
            android:name="com.example.waoperations.CycleCount.CycleCountSummary"
            android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity>
            
            <activity 
            android:name="com.example.waoperations.Picking.PickingDetail" 
            android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
            
            <activity 
            android:name="com.example.waoperations.Receiving.ReceivingDetail" 
            android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
                    <activity 
            android:name="com.example.waoperations.PutAway.PutAwayDetail" 
             android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
                  <activity 
            android:name="com.example.waoperations.Shipping.ShippingDetail" 
             android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
              <activity 
            android:name="com.example.waoperations.Stats.StatsDetail" 
             android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
            
                 <activity 
            android:name="com.example.waoperations.Transference.TransferenceItemDetail" 
             android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
                  <activity 
            android:name="com.example.waoperations.Transference.TransferenceItemSummary" 
             android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
            <activity 
            android:name="com.example.waoperations.Transference.TransferenceZurquiSummary" 
             android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
            <activity 
            android:name="com.example.waoperations.Transference.TransferenceZurquiDetail" 
             android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
                  <activity 
            android:name="com.example.waoperations.OrderLoadTransfer" 
             android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
             <activity 
            android:name="com.example.waoperations.FirstSettingsMod" 
             android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
              

                <activity 
            android:name="com.example.waoperations.Replenishment.ReplenishmentDetail" 
             android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
            </activity> 
                <activity 
            android:name="com.example.waoperations.CycleCount.CycleCountDetail" 
             android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
                  <intent-filter>
                <action android:name="android.hardware.usb.action.USB_ACCESSORY_ATTACHED" />
            </intent-filter>
            <meta-data
                android:name="android.hardware.usb.action.USB_ACCESSORY_ATTACHED"
                android:resource="@xml/accessory_filter" >
            </meta-data>
            </activity>
            
                <activity 
            android:name="com.example.waoperations.CycleCount.CycleCountDetailProgrammed" 
             android:configChanges="orientation|screenSize"
            android:windowSoftInputMode="adjustPan">
                  <intent-filter>
                       
                      
                <action android:name="android.hardware.usb.action.USB_ACCESSORY_ATTACHED" />
            </intent-filter>
            <meta-data
                android:name="android.hardware.usb.action.USB_ACCESSORY_ATTACHED"
                android:resource="@xml/accessory_filter" >
            </meta-data>
            </activity>
                <service
            android:name="com.example.waoperations.VoiceHelper">
            </service> 
    </application>

</manifest>
